Loading...
Searching...
No Matches
casacore::MSMainColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSMainColumns.h>`

## Public Member Functions

| MSMainColumns (const MeasurementSet &ms)
| Create a columns object that accesses the data in the specified Table.
| ~MSMainColumns ()
| The desctructor does nothing special.
ScalarColumn< Int > & | antenna1 ()
| Access to required columns.
ScalarColumn< Int > & | antenna2 ()
ScalarColumn< Int > & | arrayId ()
ScalarColumn< Int > & | dataDescId ()
ScalarColumn< Double > & | exposure ()
ScalarQuantColumn< Double > & | exposureQuant ()
ScalarColumn< Int > & | feed1 ()
ScalarColumn< Int > & | feed2 ()
ScalarColumn< Int > & | fieldId ()
ArrayColumn< Bool > & | flag ()
ArrayColumn< Bool > & | flagCategory ()
ScalarColumn< Bool > & | flagRow ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Int > & | observationId ()
ScalarColumn< Int > & | processorId ()
ScalarColumn< Int > & | scanNumber ()
ArrayColumn< Float > & | sigma ()
ScalarColumn< Int > & | stateId ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
ScalarColumn< Double > & | timeCentroid ()
ScalarQuantColumn< Double > & | timeCentroidQuant ()
ScalarMeasColumn< MEpoch > & | timeCentroidMeas ()
ArrayColumn< Double > & | uvw ()
ArrayQuantColumn< Double > & | uvwQuant ()
ScalarMeasColumn< Muvw > & | uvwMeas ()
ArrayColumn< Float > & | weight ()
ScalarColumn< Int > & | antenna3 ()
| Access to optional columns.
ScalarColumn< Bool > & | baselineRef ()
ArrayColumn< Complex > & | correctedData ()
ArrayColumn< Complex > & | data ()
ScalarColumn< Int > & | feed3 ()
ArrayColumn< Float > & | floatData ()
ArrayColumn< Float > & | imagingWeight ()
ArrayColumn< Complex > & | lagData ()
ArrayColumn< Complex > & | modelData ()
ScalarColumn< Int > & | phaseId ()
ScalarColumn< Int > & | pulsarBin ()
ScalarColumn< Int > & | pulsarGateId ()
ArrayColumn< Float > & | sigmaSpectrum ()
ScalarColumn< Double > & | timeExtraPrec ()
ScalarQuantColumn< Double > & | timeExtraPrecQuant ()
ArrayColumn< Double > & | uvw2 ()
ScalarMeasColumn< Muvw > & | uvw2Meas ()
ArrayQuantColumn< Double > & | uvw2Quant ()
ArrayColumn< Complex > & | videoPoint ()
ArrayColumn< Float > & | weightSpectrum ()
ArrayColumn< Float > & | weightSpectrumCorrected ()
const ScalarColumn< Int > & | antenna1 () const
| Const access to required columns.
const ScalarColumn< Int > & | antenna2 () const
const ScalarColumn< Int > & | arrayId () const
const ScalarColumn< Int > & | dataDescId () const
const ScalarColumn< Double > & | exposure () const
const ScalarQuantColumn< Double > & | exposureQuant () const
const ScalarColumn< Int > & | feed1 () const
const ScalarColumn< Int > & | feed2 () const
const ScalarColumn< Int > & | fieldId () const
const ArrayColumn< Bool > & | flag () const
const ArrayColumn< Bool > & | flagCategory () const
const ScalarColumn< Bool > & | flagRow () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Int > & | observationId () const
const ScalarColumn< Int > & | processorId () const
const ScalarColumn< Int > & | scanNumber () const
const ArrayColumn< Float > & | sigma () const
const ScalarColumn< Int > & | stateId () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
const ScalarColumn< Double > & | timeCentroid () const
const ScalarQuantColumn< Double > & | timeCentroidQuant () const
const ScalarMeasColumn< MEpoch > & | timeCentroidMeas () const
const ArrayColumn< Double > & | uvw () const
const ArrayQuantColumn< Double > & | uvwQuant () const
const ScalarMeasColumn< Muvw > & | uvwMeas () const
const ArrayColumn< Float > & | weight () const
const ScalarColumn< Int > & | antenna3 () const
| Access to optional columns.
const ScalarColumn< Bool > & | baselineRef () const
const ArrayColumn< Complex > & | correctedData () const
const ArrayColumn< Complex > & | data () const
const ScalarColumn< Int > & | feed3 () const
const ArrayColumn< Float > & | floatData () const
const ArrayColumn< Float > & | imagingWeight () const
const ArrayColumn< Complex > & | lagData () const
const ArrayColumn< Complex > & | modelData () const
const ScalarColumn< Int > & | phaseId () const
const ScalarColumn< Int > & | pulsarBin () const
const ScalarColumn< Int > & | pulsarGateId () const
const ArrayColumn< Float > & | sigmaSpectrum () const
const ScalarColumn< Double > & | timeExtraPrec () const
const ScalarQuantColumn< Double > & | timeExtraPrecQuant () const
const ArrayColumn< Double > & | uvw2 () const
const ScalarMeasColumn< Muvw > & | uvw2Meas () const
const ArrayQuantColumn< Double > & | uvw2Quant () const
const ArrayColumn< Complex > & | videoPoint () const
const ArrayColumn< Float > & | weightSpectrum () const
const ArrayColumn< Float > & | weightSpectrumCorrected () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
Vector< String > | flagCategories () const
| Returns the category labels for the FLAG_CATEGORY column.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME and TIME_CENTROID columns.
void | setUVWRef (Muvw::Types ref)
| set the UVW reference type for the UVW and UVW2 (if defined) columns.
void | setFlagCategories (const Vector< String > &categories)
| Set the flag category labels to the supplied values (in the CATEGORY keyword of the FLAG_CATEGORY column).

## Protected Member Functions

| MSMainColumns ()
void | attach (const MeasurementSet &ms)

## Private Member Functions

| MSMainColumns (const MSMainColumns &)
MSMainColumns & | operator= (const MSMainColumns &)
void | attachOptionalCols (const MeasurementSet &ms)

## Private Attributes

ScalarColumn< Int > | antenna1_p
ScalarColumn< Int > | antenna2_p
ScalarColumn< Int > | arrayId_p
ScalarColumn< Int > | dataDescId_p
ScalarColumn< Double > | exposure_p
ScalarColumn< Int > | feed1_p
ScalarColumn< Int > | feed2_p
ScalarColumn< Int > | fieldId_p
ArrayColumn< Bool > | flag_p
ArrayColumn< Bool > | flagCategory_p
ScalarColumn< Bool > | flagRow_p
ScalarColumn< Double > | interval_p
ScalarColumn< Int > | observationId_p
ScalarColumn< Int > | processorId_p
ScalarColumn< Int > | scanNumber_p
ArrayColumn< Float > | sigma_p
ScalarColumn< Int > | stateId_p
ScalarColumn< Double > | time_p
ScalarColumn< Double > | timeCentroid_p
ArrayColumn< Double > | uvw_p
ArrayColumn< Float > | weight_p
ScalarColumn< Int > | antenna3_p
ScalarColumn< Bool > | baselineRef_p
ArrayColumn< Complex > | data_p
ScalarColumn< Int > | feed3_p
ArrayColumn< Float > | floatData_p
ArrayColumn< Complex > | lagData_p
ScalarColumn< Int > | phaseId_p
ScalarColumn< Int > | pulsarBin_p
ScalarColumn< Int > | pulsarGateId_p
ArrayColumn< Float > | sigmaSpectrum_p
ScalarColumn< Double > | timeExtraPrec_p
ArrayColumn< Double > | uvw2_p
ArrayColumn< Complex > | videoPoint_p
ArrayColumn< Float > | weightSpectrum_p
ArrayColumn< Float > | weightSpectrumCorrected_p
ArrayColumn< Complex > | correctedData_p
ArrayColumn< Float > | imagingWeight_p
ArrayColumn< Complex > | modelData_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarMeasColumn< MEpoch > | timeCentroidMeas_p
ScalarMeasColumn< Muvw > | uvwMeas_p
ScalarMeasColumn< Muvw > | uvw2Meas_p
ScalarQuantColumn< Double > | exposureQuant_p
ScalarQuantColumn< Double > | intervalQuant_p
ScalarQuantColumn< Double > | timeQuant_p
ScalarQuantColumn< Double > | timeCentroidQuant_p
ArrayQuantColumn< Double > | uvwQuant_p
ScalarQuantColumn< Double > | timeExtraPrecQuant_p
ArrayQuantColumn< Double > | uvw2Quant_p

## Detailed Description

A class for easy access to MeasurementSet main table columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MeasurementSet
- ArrayColumn
- ScalarColumn

### Etymology

MSMainColumns stands for MeasurementSet main Table columns.

### Synopsis

This class provides access to the columns in the MeasurementSet. It does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations.
Warning: The Table that is used to construct this class must not be destroyed (or go out of scope) before this class does; Otherwise the scalar and array columns use by this class will be left dangling;

### Example

// use as follows
MeasurementSet ms("myMS",Table::Update);
MSColumns msc(ms);
// show data from row 5
cout << msc.data()(5);
// change name of antenna on row 3 in antenna table
msc.antenna().name().put(3,"NewAnt-3");
casacore::MSColumns
Definition MSColumns.h:115
casacore::MeasurementSet
Definition MeasurementSet.h:278
casacore::Table::Update
@ Update
update existing table
Definition Table.h:181

### Motivation

Having to type long lists of Scalar and Array column declarations gets very tedious. This class attempts to relieve some of that tedium, while at the same time concentrating all the declarations in one place, making Type errors in the column declaration (only caught at run-time) less probable. Type errors in the use of the columns is caught at compile time.

### To Do

- We might decide to merge this class with the MeasurementSet

Definition at line 103 of file MSMainColumns.h.

## Constructor & Destructor Documentation

## MSMainColumns() [1/3]

casacore::MSMainColumns::MSMainColumns | ( | const MeasurementSet & | ms | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSMainColumns(), and operator=().

## ~MSMainColumns()

casacore::MSMainColumns::~MSMainColumns | ( |  | ) |

The desctructor does nothing special.

## MSMainColumns() [2/3]

casacore::MSMainColumns::MSMainColumns | ( |  | ) |

protected

## MSMainColumns() [3/3]

casacore::MSMainColumns::MSMainColumns | ( | const MSMainColumns & |  | ) |

private

References MSMainColumns().

## Member Function Documentation

## antenna1() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::antenna1 | ( |  | ) |

inline

Access to required columns.

Definition at line 115 of file MSMainColumns.h.

References antenna1_p.

## antenna1() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::antenna1 | ( |  | ) | const

inline

Const access to required columns.

Definition at line 184 of file MSMainColumns.h.

References antenna1_p.

## antenna2() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::antenna2 | ( |  | ) |

inline

Definition at line 116 of file MSMainColumns.h.

References antenna2_p.

## antenna2() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::antenna2 | ( |  | ) | const

inline

Definition at line 185 of file MSMainColumns.h.

References antenna2_p.

## antenna3() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::antenna3 | ( |  | ) |

inline

Access to optional columns.

Definition at line 156 of file MSMainColumns.h.

References antenna3_p.

## antenna3() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::antenna3 | ( |  | ) | const

inline

Access to optional columns.

Definition at line 225 of file MSMainColumns.h.

References antenna3_p.

## arrayId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::arrayId | ( |  | ) |

inline

Definition at line 117 of file MSMainColumns.h.

References arrayId_p.

## arrayId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::arrayId | ( |  | ) | const

inline

Definition at line 186 of file MSMainColumns.h.

References arrayId_p.

## attach()

void casacore::MSMainColumns::attach | ( | const MeasurementSet & | ms | ) |

protected

## attachOptionalCols()

void casacore::MSMainColumns::attachOptionalCols | ( | const MeasurementSet & | ms | ) |

private

## baselineRef() [1/2]

ScalarColumn< Bool > & casacore::MSMainColumns::baselineRef | ( |  | ) |

inline

Definition at line 157 of file MSMainColumns.h.

References baselineRef_p.

## baselineRef() [2/2]

const ScalarColumn< Bool > & casacore::MSMainColumns::baselineRef | ( |  | ) | const

inline

Definition at line 226 of file MSMainColumns.h.

References baselineRef_p.

## correctedData() [1/2]

ArrayColumn< Complex > & casacore::MSMainColumns::correctedData | ( |  | ) |

inline

Definition at line 158 of file MSMainColumns.h.

References correctedData_p.

## correctedData() [2/2]

const ArrayColumn< Complex > & casacore::MSMainColumns::correctedData | ( |  | ) | const

inline

Definition at line 227 of file MSMainColumns.h.

References correctedData_p.

## data() [1/2]

ArrayColumn< Complex > & casacore::MSMainColumns::data | ( |  | ) |

inline

Definition at line 159 of file MSMainColumns.h.

References data_p.

## data() [2/2]

const ArrayColumn< Complex > & casacore::MSMainColumns::data | ( |  | ) | const

inline

Definition at line 228 of file MSMainColumns.h.

References data_p.

## dataDescId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::dataDescId | ( |  | ) |

inline

Definition at line 118 of file MSMainColumns.h.

References dataDescId_p.

## dataDescId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::dataDescId | ( |  | ) | const

inline

Definition at line 187 of file MSMainColumns.h.

References dataDescId_p.

## exposure() [1/2]

ScalarColumn< Double > & casacore::MSMainColumns::exposure | ( |  | ) |

inline

Definition at line 119 of file MSMainColumns.h.

References exposure_p.

## exposure() [2/2]

const ScalarColumn< Double > & casacore::MSMainColumns::exposure | ( |  | ) | const

inline

Definition at line 188 of file MSMainColumns.h.

References exposure_p.

## exposureQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSMainColumns::exposureQuant | ( |  | ) |

inline

Definition at line 120 of file MSMainColumns.h.

References exposureQuant_p.

## exposureQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSMainColumns::exposureQuant | ( |  | ) | const

inline

Definition at line 189 of file MSMainColumns.h.

References exposureQuant_p.

## feed1() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::feed1 | ( |  | ) |

inline

Definition at line 122 of file MSMainColumns.h.

References feed1_p.

## feed1() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::feed1 | ( |  | ) | const

inline

Definition at line 191 of file MSMainColumns.h.

References feed1_p.

## feed2() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::feed2 | ( |  | ) |

inline

Definition at line 123 of file MSMainColumns.h.

References feed2_p.

## feed2() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::feed2 | ( |  | ) | const

inline

Definition at line 192 of file MSMainColumns.h.

References feed2_p.

## feed3() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::feed3 | ( |  | ) |

inline

Definition at line 160 of file MSMainColumns.h.

References feed3_p.

## feed3() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::feed3 | ( |  | ) | const

inline

Definition at line 229 of file MSMainColumns.h.

References feed3_p.

## fieldId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::fieldId | ( |  | ) |

inline

Definition at line 124 of file MSMainColumns.h.

References fieldId_p.

## fieldId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::fieldId | ( |  | ) | const

inline

Definition at line 193 of file MSMainColumns.h.

References fieldId_p.

## flag() [1/2]

ArrayColumn< Bool > & casacore::MSMainColumns::flag | ( |  | ) |

inline

Definition at line 125 of file MSMainColumns.h.

References flag_p.

## flag() [2/2]

const ArrayColumn< Bool > & casacore::MSMainColumns::flag | ( |  | ) | const

inline

Definition at line 194 of file MSMainColumns.h.

References flag_p.

## flagCategories()

Vector< String > casacore::MSMainColumns::flagCategories | ( |  | ) | const

Returns the category labels for the FLAG_CATEGORY column.

## flagCategory() [1/2]

ArrayColumn< Bool > & casacore::MSMainColumns::flagCategory | ( |  | ) |

inline

Definition at line 126 of file MSMainColumns.h.

References flagCategory_p.

## flagCategory() [2/2]

const ArrayColumn< Bool > & casacore::MSMainColumns::flagCategory | ( |  | ) | const

inline

Definition at line 195 of file MSMainColumns.h.

References flagCategory_p.

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSMainColumns::flagRow | ( |  | ) |

inline

Definition at line 127 of file MSMainColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSMainColumns::flagRow | ( |  | ) | const

inline

Definition at line 196 of file MSMainColumns.h.

References flagRow_p.

## floatData() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::floatData | ( |  | ) |

inline

Definition at line 161 of file MSMainColumns.h.

References floatData_p.

## floatData() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::floatData | ( |  | ) | const

inline

Definition at line 230 of file MSMainColumns.h.

References floatData_p.

## imagingWeight() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::imagingWeight | ( |  | ) |

inline

Definition at line 162 of file MSMainColumns.h.

References imagingWeight_p.

## imagingWeight() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::imagingWeight | ( |  | ) | const

inline

Definition at line 231 of file MSMainColumns.h.

References imagingWeight_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSMainColumns::interval | ( |  | ) |

inline

Definition at line 128 of file MSMainColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSMainColumns::interval | ( |  | ) | const

inline

Definition at line 197 of file MSMainColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSMainColumns::intervalQuant | ( |  | ) |

inline

Definition at line 129 of file MSMainColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSMainColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 198 of file MSMainColumns.h.

References intervalQuant_p.

## lagData() [1/2]

ArrayColumn< Complex > & casacore::MSMainColumns::lagData | ( |  | ) |

inline

Definition at line 163 of file MSMainColumns.h.

References lagData_p.

## lagData() [2/2]

const ArrayColumn< Complex > & casacore::MSMainColumns::lagData | ( |  | ) | const

inline

Definition at line 232 of file MSMainColumns.h.

References lagData_p.

## modelData() [1/2]

ArrayColumn< Complex > & casacore::MSMainColumns::modelData | ( |  | ) |

inline

Definition at line 164 of file MSMainColumns.h.

References modelData_p.

## modelData() [2/2]

const ArrayColumn< Complex > & casacore::MSMainColumns::modelData | ( |  | ) | const

inline

Definition at line 233 of file MSMainColumns.h.

References modelData_p.

## nrow()

rownr_t casacore::MSMainColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 252 of file MSMainColumns.h.

References antenna1_p.

## observationId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::observationId | ( |  | ) |

inline

Definition at line 131 of file MSMainColumns.h.

References observationId_p.

## observationId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::observationId | ( |  | ) | const

inline

Definition at line 200 of file MSMainColumns.h.

References observationId_p.

## operator=()

MSMainColumns & casacore::MSMainColumns::operator= | ( | const MSMainColumns & |  | ) |

private

References MSMainColumns().

## phaseId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::phaseId | ( |  | ) |

inline

Definition at line 165 of file MSMainColumns.h.

References phaseId_p.

## phaseId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::phaseId | ( |  | ) | const

inline

Definition at line 234 of file MSMainColumns.h.

References phaseId_p.

## processorId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::processorId | ( |  | ) |

inline

Definition at line 132 of file MSMainColumns.h.

References processorId_p.

## processorId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::processorId | ( |  | ) | const

inline

Definition at line 201 of file MSMainColumns.h.

References processorId_p.

## pulsarBin() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::pulsarBin | ( |  | ) |

inline

Definition at line 166 of file MSMainColumns.h.

References pulsarBin_p.

## pulsarBin() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::pulsarBin | ( |  | ) | const

inline

Definition at line 235 of file MSMainColumns.h.

References pulsarBin_p.

## pulsarGateId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::pulsarGateId | ( |  | ) |

inline

Definition at line 167 of file MSMainColumns.h.

References pulsarGateId_p.

## pulsarGateId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::pulsarGateId | ( |  | ) | const

inline

Definition at line 236 of file MSMainColumns.h.

References pulsarGateId_p.

## scanNumber() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::scanNumber | ( |  | ) |

inline

Definition at line 133 of file MSMainColumns.h.

References scanNumber_p.

## scanNumber() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::scanNumber | ( |  | ) | const

inline

Definition at line 202 of file MSMainColumns.h.

References scanNumber_p.

## setEpochRef()

void casacore::MSMainColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME and TIME_CENTROID columns.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## setFlagCategories()

void casacore::MSMainColumns::setFlagCategories | ( | const Vector< String > & | categories | ) |

Set the flag category labels to the supplied values (in the CATEGORY keyword of the FLAG_CATEGORY column).

Throws an exception, when compiled in Debug mode, if the length of the supplied Vector is not the same as the length of the third dimension of the FLAG_CATEGORY column.

## setUVWRef()

void casacore::MSMainColumns::setUVWRef | ( | Muvw::Types | ref | ) |

set the UVW reference type for the UVW and UVW2 (if defined) columns.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## sigma() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::sigma | ( |  | ) |

inline

Definition at line 134 of file MSMainColumns.h.

References sigma_p.

## sigma() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::sigma | ( |  | ) | const

inline

Definition at line 203 of file MSMainColumns.h.

References sigma_p.

## sigmaSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::sigmaSpectrum | ( |  | ) |

inline

Definition at line 168 of file MSMainColumns.h.

References sigmaSpectrum_p.

## sigmaSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::sigmaSpectrum | ( |  | ) | const

inline

Definition at line 237 of file MSMainColumns.h.

References sigmaSpectrum_p.

## stateId() [1/2]

ScalarColumn< Int > & casacore::MSMainColumns::stateId | ( |  | ) |

inline

Definition at line 135 of file MSMainColumns.h.

References stateId_p.

## stateId() [2/2]

const ScalarColumn< Int > & casacore::MSMainColumns::stateId | ( |  | ) | const

inline

Definition at line 204 of file MSMainColumns.h.

References stateId_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSMainColumns::time | ( |  | ) |

inline

Definition at line 136 of file MSMainColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSMainColumns::time | ( |  | ) | const

inline

Definition at line 205 of file MSMainColumns.h.

References time_p.

## timeCentroid() [1/2]

ScalarColumn< Double > & casacore::MSMainColumns::timeCentroid | ( |  | ) |

inline

Definition at line 141 of file MSMainColumns.h.

References timeCentroid_p.

## timeCentroid() [2/2]

const ScalarColumn< Double > & casacore::MSMainColumns::timeCentroid | ( |  | ) | const

inline

Definition at line 210 of file MSMainColumns.h.

References timeCentroid_p.

## timeCentroidMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSMainColumns::timeCentroidMeas | ( |  | ) |

inline

Definition at line 144 of file MSMainColumns.h.

References timeCentroidMeas_p.

## timeCentroidMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSMainColumns::timeCentroidMeas | ( |  | ) | const

inline

Definition at line 213 of file MSMainColumns.h.

References timeCentroidMeas_p.

## timeCentroidQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSMainColumns::timeCentroidQuant | ( |  | ) |

inline

Definition at line 142 of file MSMainColumns.h.

References timeCentroidQuant_p.

## timeCentroidQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSMainColumns::timeCentroidQuant | ( |  | ) | const

inline

Definition at line 211 of file MSMainColumns.h.

References timeCentroidQuant_p.

## timeExtraPrec() [1/2]

ScalarColumn< Double > & casacore::MSMainColumns::timeExtraPrec | ( |  | ) |

inline

Definition at line 169 of file MSMainColumns.h.

References timeExtraPrec_p.

## timeExtraPrec() [2/2]

const ScalarColumn< Double > & casacore::MSMainColumns::timeExtraPrec | ( |  | ) | const

inline

Definition at line 238 of file MSMainColumns.h.

References timeExtraPrec_p.

## timeExtraPrecQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSMainColumns::timeExtraPrecQuant | ( |  | ) |

inline

Definition at line 170 of file MSMainColumns.h.

References timeExtraPrecQuant_p.

## timeExtraPrecQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSMainColumns::timeExtraPrecQuant | ( |  | ) | const

inline

Definition at line 239 of file MSMainColumns.h.

References timeExtraPrecQuant_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSMainColumns::timeMeas | ( |  | ) |

inline

Definition at line 139 of file MSMainColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSMainColumns::timeMeas | ( |  | ) | const

inline

Definition at line 208 of file MSMainColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSMainColumns::timeQuant | ( |  | ) |

inline

Definition at line 137 of file MSMainColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSMainColumns::timeQuant | ( |  | ) | const

inline

Definition at line 206 of file MSMainColumns.h.

References timeQuant_p.

## uvw() [1/2]

ArrayColumn< Double > & casacore::MSMainColumns::uvw | ( |  | ) |

inline

Definition at line 146 of file MSMainColumns.h.

References uvw_p.

## uvw() [2/2]

const ArrayColumn< Double > & casacore::MSMainColumns::uvw | ( |  | ) | const

inline

Definition at line 215 of file MSMainColumns.h.

References uvw_p.

## uvw2() [1/2]

ArrayColumn< Double > & casacore::MSMainColumns::uvw2 | ( |  | ) |

inline

Definition at line 172 of file MSMainColumns.h.

References uvw2_p.

## uvw2() [2/2]

const ArrayColumn< Double > & casacore::MSMainColumns::uvw2 | ( |  | ) | const

inline

Definition at line 241 of file MSMainColumns.h.

References uvw2_p.

## uvw2Meas() [1/2]

ScalarMeasColumn< Muvw > & casacore::MSMainColumns::uvw2Meas | ( |  | ) |

inline

Definition at line 173 of file MSMainColumns.h.

References uvw2Meas_p.

## uvw2Meas() [2/2]

const ScalarMeasColumn< Muvw > & casacore::MSMainColumns::uvw2Meas | ( |  | ) | const

inline

Definition at line 242 of file MSMainColumns.h.

References uvw2Meas_p.

## uvw2Quant() [1/2]

ArrayQuantColumn< Double > & casacore::MSMainColumns::uvw2Quant | ( |  | ) |

inline

Definition at line 175 of file MSMainColumns.h.

References uvw2Quant_p.

## uvw2Quant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSMainColumns::uvw2Quant | ( |  | ) | const

inline

Definition at line 244 of file MSMainColumns.h.

References uvw2Quant_p.

## uvwMeas() [1/2]

ScalarMeasColumn< Muvw > & casacore::MSMainColumns::uvwMeas | ( |  | ) |

inline

Definition at line 149 of file MSMainColumns.h.

References uvwMeas_p.

## uvwMeas() [2/2]

const ScalarMeasColumn< Muvw > & casacore::MSMainColumns::uvwMeas | ( |  | ) | const

inline

Definition at line 218 of file MSMainColumns.h.

References uvwMeas_p.

## uvwQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSMainColumns::uvwQuant | ( |  | ) |

inline

Definition at line 147 of file MSMainColumns.h.

References uvwQuant_p.

## uvwQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSMainColumns::uvwQuant | ( |  | ) | const

inline

Definition at line 216 of file MSMainColumns.h.

References uvwQuant_p.

## videoPoint() [1/2]

ArrayColumn< Complex > & casacore::MSMainColumns::videoPoint | ( |  | ) |

inline

Definition at line 177 of file MSMainColumns.h.

References videoPoint_p.

## videoPoint() [2/2]

const ArrayColumn< Complex > & casacore::MSMainColumns::videoPoint | ( |  | ) | const

inline

Definition at line 246 of file MSMainColumns.h.

References videoPoint_p.

## weight() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::weight | ( |  | ) |

inline

Definition at line 151 of file MSMainColumns.h.

References weight_p.

## weight() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::weight | ( |  | ) | const

inline

Definition at line 220 of file MSMainColumns.h.

References weight_p.

## weightSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::weightSpectrum | ( |  | ) |

inline

Definition at line 178 of file MSMainColumns.h.

References weightSpectrum_p.

## weightSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::weightSpectrum | ( |  | ) | const

inline

Definition at line 247 of file MSMainColumns.h.

References weightSpectrum_p.

## weightSpectrumCorrected() [1/2]

ArrayColumn< Float > & casacore::MSMainColumns::weightSpectrumCorrected | ( |  | ) |

inline

Definition at line 179 of file MSMainColumns.h.

References weightSpectrumCorrected_p.

## weightSpectrumCorrected() [2/2]

const ArrayColumn< Float > & casacore::MSMainColumns::weightSpectrumCorrected | ( |  | ) | const

inline

Definition at line 248 of file MSMainColumns.h.

References weightSpectrumCorrected_p.

## Member Data Documentation

## antenna1_p

ScalarColumn<Int> casacore::MSMainColumns::antenna1_p

private

Definition at line 297 of file MSMainColumns.h.

Referenced by antenna1(), antenna1(), and nrow().

## antenna2_p

ScalarColumn<Int> casacore::MSMainColumns::antenna2_p

private

Definition at line 298 of file MSMainColumns.h.

Referenced by antenna2(), and antenna2().

## antenna3_p

ScalarColumn<Int> casacore::MSMainColumns::antenna3_p

private

Definition at line 319 of file MSMainColumns.h.

Referenced by antenna3(), and antenna3().

## arrayId_p

ScalarColumn<Int> casacore::MSMainColumns::arrayId_p

private

Definition at line 299 of file MSMainColumns.h.

Referenced by arrayId(), and arrayId().

## baselineRef_p

ScalarColumn<Bool> casacore::MSMainColumns::baselineRef_p

private

Definition at line 320 of file MSMainColumns.h.

Referenced by baselineRef(), and baselineRef().

## correctedData_p

ArrayColumn<Complex> casacore::MSMainColumns::correctedData_p

private

Definition at line 336 of file MSMainColumns.h.

Referenced by correctedData(), and correctedData().

## data_p

ArrayColumn<Complex> casacore::MSMainColumns::data_p

private

Definition at line 321 of file MSMainColumns.h.

Referenced by data(), and data().

## dataDescId_p

ScalarColumn<Int> casacore::MSMainColumns::dataDescId_p

private

Definition at line 300 of file MSMainColumns.h.

Referenced by dataDescId(), and dataDescId().

## exposure_p

ScalarColumn<Double> casacore::MSMainColumns::exposure_p

private

Definition at line 301 of file MSMainColumns.h.

Referenced by exposure(), and exposure().

## exposureQuant_p

ScalarQuantColumn<Double> casacore::MSMainColumns::exposureQuant_p

private

Definition at line 348 of file MSMainColumns.h.

Referenced by exposureQuant(), and exposureQuant().

## feed1_p

ScalarColumn<Int> casacore::MSMainColumns::feed1_p

private

Definition at line 302 of file MSMainColumns.h.

Referenced by feed1(), and feed1().

## feed2_p

ScalarColumn<Int> casacore::MSMainColumns::feed2_p

private

Definition at line 303 of file MSMainColumns.h.

Referenced by feed2(), and feed2().

## feed3_p

ScalarColumn<Int> casacore::MSMainColumns::feed3_p

private

Definition at line 322 of file MSMainColumns.h.

Referenced by feed3(), and feed3().

## fieldId_p

ScalarColumn<Int> casacore::MSMainColumns::fieldId_p

private

Definition at line 304 of file MSMainColumns.h.

Referenced by fieldId(), and fieldId().

## flag_p

ArrayColumn<Bool> casacore::MSMainColumns::flag_p

private

Definition at line 305 of file MSMainColumns.h.

Referenced by flag(), and flag().

## flagCategory_p

ArrayColumn<Bool> casacore::MSMainColumns::flagCategory_p

private

Definition at line 306 of file MSMainColumns.h.

Referenced by flagCategory(), and flagCategory().

## flagRow_p

ScalarColumn<Bool> casacore::MSMainColumns::flagRow_p

private

Definition at line 307 of file MSMainColumns.h.

Referenced by flagRow(), and flagRow().

## floatData_p

ArrayColumn<Float> casacore::MSMainColumns::floatData_p

private

Definition at line 323 of file MSMainColumns.h.

Referenced by floatData(), and floatData().

## imagingWeight_p

ArrayColumn<Float> casacore::MSMainColumns::imagingWeight_p

private

Definition at line 337 of file MSMainColumns.h.

Referenced by imagingWeight(), and imagingWeight().

## interval_p

ScalarColumn<Double> casacore::MSMainColumns::interval_p

private

Definition at line 308 of file MSMainColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSMainColumns::intervalQuant_p

private

Definition at line 349 of file MSMainColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## lagData_p

ArrayColumn<Complex> casacore::MSMainColumns::lagData_p

private

Definition at line 324 of file MSMainColumns.h.

Referenced by lagData(), and lagData().

## modelData_p

ArrayColumn<Complex> casacore::MSMainColumns::modelData_p

private

Definition at line 338 of file MSMainColumns.h.

Referenced by modelData(), and modelData().

## observationId_p

ScalarColumn<Int> casacore::MSMainColumns::observationId_p

private

Definition at line 309 of file MSMainColumns.h.

Referenced by observationId(), and observationId().

## phaseId_p

ScalarColumn<Int> casacore::MSMainColumns::phaseId_p

private

Definition at line 325 of file MSMainColumns.h.

Referenced by phaseId(), and phaseId().

## processorId_p

ScalarColumn<Int> casacore::MSMainColumns::processorId_p

private

Definition at line 310 of file MSMainColumns.h.

Referenced by processorId(), and processorId().

## pulsarBin_p

ScalarColumn<Int> casacore::MSMainColumns::pulsarBin_p

private

Definition at line 326 of file MSMainColumns.h.

Referenced by pulsarBin(), and pulsarBin().

## pulsarGateId_p

ScalarColumn<Int> casacore::MSMainColumns::pulsarGateId_p

private

Definition at line 327 of file MSMainColumns.h.

Referenced by pulsarGateId(), and pulsarGateId().

## scanNumber_p

ScalarColumn<Int> casacore::MSMainColumns::scanNumber_p

private

Definition at line 311 of file MSMainColumns.h.

Referenced by scanNumber(), and scanNumber().

## sigma_p

ArrayColumn<Float> casacore::MSMainColumns::sigma_p

private

Definition at line 312 of file MSMainColumns.h.

Referenced by sigma(), and sigma().

## sigmaSpectrum_p

ArrayColumn<Float> casacore::MSMainColumns::sigmaSpectrum_p

private

Definition at line 328 of file MSMainColumns.h.

Referenced by sigmaSpectrum(), and sigmaSpectrum().

## stateId_p

ScalarColumn<Int> casacore::MSMainColumns::stateId_p

private

Definition at line 313 of file MSMainColumns.h.

Referenced by stateId(), and stateId().

## time_p

ScalarColumn<Double> casacore::MSMainColumns::time_p

private

Definition at line 314 of file MSMainColumns.h.

Referenced by time(), and time().

## timeCentroid_p

ScalarColumn<Double> casacore::MSMainColumns::timeCentroid_p

private

Definition at line 315 of file MSMainColumns.h.

Referenced by timeCentroid(), and timeCentroid().

## timeCentroidMeas_p

ScalarMeasColumn<MEpoch> casacore::MSMainColumns::timeCentroidMeas_p

private

Definition at line 342 of file MSMainColumns.h.

Referenced by timeCentroidMeas(), and timeCentroidMeas().

## timeCentroidQuant_p

ScalarQuantColumn<Double> casacore::MSMainColumns::timeCentroidQuant_p

private

Definition at line 351 of file MSMainColumns.h.

Referenced by timeCentroidQuant(), and timeCentroidQuant().

## timeExtraPrec_p

ScalarColumn<Double> casacore::MSMainColumns::timeExtraPrec_p

private

Definition at line 329 of file MSMainColumns.h.

Referenced by timeExtraPrec(), and timeExtraPrec().

## timeExtraPrecQuant_p

ScalarQuantColumn<Double> casacore::MSMainColumns::timeExtraPrecQuant_p

private

Definition at line 354 of file MSMainColumns.h.

Referenced by timeExtraPrecQuant(), and timeExtraPrecQuant().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSMainColumns::timeMeas_p

private

Definition at line 341 of file MSMainColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSMainColumns::timeQuant_p

private

Definition at line 350 of file MSMainColumns.h.

Referenced by timeQuant(), and timeQuant().

## uvw2_p

ArrayColumn<Double> casacore::MSMainColumns::uvw2_p

private

Definition at line 330 of file MSMainColumns.h.

Referenced by uvw2(), and uvw2().

## uvw2Meas_p

ScalarMeasColumn<Muvw> casacore::MSMainColumns::uvw2Meas_p

private

Definition at line 345 of file MSMainColumns.h.

Referenced by uvw2Meas(), and uvw2Meas().

## uvw2Quant_p

ArrayQuantColumn<Double> casacore::MSMainColumns::uvw2Quant_p

private

Definition at line 355 of file MSMainColumns.h.

Referenced by uvw2Quant(), and uvw2Quant().

## uvw_p

ArrayColumn<Double> casacore::MSMainColumns::uvw_p

private

Definition at line 316 of file MSMainColumns.h.

Referenced by uvw(), and uvw().

## uvwMeas_p

ScalarMeasColumn<Muvw> casacore::MSMainColumns::uvwMeas_p

private

Definition at line 343 of file MSMainColumns.h.

Referenced by uvwMeas(), and uvwMeas().

## uvwQuant_p

ArrayQuantColumn<Double> casacore::MSMainColumns::uvwQuant_p

private

Definition at line 352 of file MSMainColumns.h.

Referenced by uvwQuant(), and uvwQuant().

## videoPoint_p

ArrayColumn<Complex> casacore::MSMainColumns::videoPoint_p

private

Definition at line 331 of file MSMainColumns.h.

Referenced by videoPoint(), and videoPoint().

## weight_p

ArrayColumn<Float> casacore::MSMainColumns::weight_p

private

Definition at line 317 of file MSMainColumns.h.

Referenced by weight(), and weight().

## weightSpectrum_p

ArrayColumn<Float> casacore::MSMainColumns::weightSpectrum_p

private

Definition at line 332 of file MSMainColumns.h.

Referenced by weightSpectrum(), and weightSpectrum().

## weightSpectrumCorrected_p

ArrayColumn<Float> casacore::MSMainColumns::weightSpectrumCorrected_p

private

Definition at line 333 of file MSMainColumns.h.

Referenced by weightSpectrumCorrected(), and weightSpectrumCorrected().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSMainColumns.h